/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_809716240")

  // add field
  collection.fields.addAt(9, new Field({
    "cascadeDelete": false,
    "collectionId": "pbc_86130338",
    "hidden": false,
    "id": "relation902158424",
    "maxSelect": 1,
    "minSelect": 0,
    "name": "appearanceSong",
    "presentable": false,
    "required": false,
    "system": false,
    "type": "relation"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_809716240")

  // remove field
  collection.fields.removeById("relation902158424")

  return app.save(collection)
})
